package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * CurrencyCandidatesOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class CurrencyCandidatesOpenApiVo   {
  @JsonProperty("currencyList")
  @Valid
  private List<String> currencyList = null;

  @JsonProperty("selectedCurrency")
  private String selectedCurrency;

  public CurrencyCandidatesOpenApiVo currencyList(List<String> currencyList) {
    this.currencyList = currencyList;
    return this;
  }

  public CurrencyCandidatesOpenApiVo addCurrencyListItem(String currencyListItem) {
    if (this.currencyList == null) {
      this.currencyList = new ArrayList<>();
    }
    this.currencyList.add(currencyListItem);
    return this;
  }

  /**
   * All currency Short Code list. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.
   * @return currencyList
  */
  @ApiModelProperty(value = "All currency Short Code list. For the values of Currency Short Code, refer to section 5.4.2 of the Open API Access Guide.")


  public List<String> getCurrencyList() {
    return currencyList;
  }

  public void setCurrencyList(List<String> currencyList) {
    this.currencyList = currencyList;
  }

  public CurrencyCandidatesOpenApiVo selectedCurrency(String selectedCurrency) {
    this.selectedCurrency = selectedCurrency;
    return this;
  }

  /**
   * The currency selected for the site
   * @return selectedCurrency
  */
  @ApiModelProperty(value = "The currency selected for the site")


  public String getSelectedCurrency() {
    return selectedCurrency;
  }

  public void setSelectedCurrency(String selectedCurrency) {
    this.selectedCurrency = selectedCurrency;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CurrencyCandidatesOpenApiVo currencyCandidatesOpenApiVo = (CurrencyCandidatesOpenApiVo) o;
    return Objects.equals(this.currencyList, currencyCandidatesOpenApiVo.currencyList) &&
        Objects.equals(this.selectedCurrency, currencyCandidatesOpenApiVo.selectedCurrency);
  }

  @Override
  public int hashCode() {
    return Objects.hash(currencyList, selectedCurrency);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CurrencyCandidatesOpenApiVo {\n");
    
    sb.append("    currencyList: ").append(toIndentedString(currencyList)).append("\n");
    sb.append("    selectedCurrency: ").append(toIndentedString(selectedCurrency)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

